#include <LiquidCrystal.h>

int IN = 6; // pin 6 za ulaze
int OUT = 7; // pin 7 za izlaze
int LIGHT = 8; // pin 13 za LED
int PIR1 = LOW; // početno stanje PIR-a za ulaz, nema detekcije
int PIR2 = LOW; // početno stanje PIR-a za izlaz
int count = 0;
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

void setup() 
{
  pinMode(IN, INPUT); 
  pinMode(OUT, INPUT);
  pinMode(LIGHT, OUTPUT);
  Serial.begin(9600);
  
  lcd.begin(16, 2);
  lcd.clear();
  lcd.print("Person In WC:");
}

void loop() 
{
  broj_osoba();// brojac vezan za izlaske, van petlje je tako da svjetlo gori još 5 sec nakon što se detektira izlazak zadnje osobe
  if (digitalRead(IN)) 
  {
    if (PIR1 == LOW) 
    {
      count++;
      broj_osoba(); // brojac vezan za ulaske, unutar petlje je tako da se svjetlo upali odmah pri detekciju ulaska prve osobe
      Serial.println("Motion detected in!");
      Serial.print("Broj ljudi u WC-u:");
      Serial.print("\t");
      Serial.println(count);
      PIR1 = HIGH;
    }
    delay (5000);
  }
  if (digitalRead(IN) == LOW)
  {
    if (PIR1 == HIGH) 
    {
      Serial.println("Motion ended in!");
      PIR1 = LOW;
    }
  }
  if (digitalRead(OUT)) 
  {
    if (PIR2 == LOW) 
    {
      count--;
      Serial.println("Motion detected out!");
      Serial.print("Broj ljudi u WC-u:");
      Serial.print("\t");
      Serial.println(count);
      PIR2 = HIGH;
    }
    delay (5000);
  }
  if (digitalRead(OUT) == LOW)
  {
    if (PIR2 == HIGH) 
    {
    Serial.println("Motion ended out!");
    PIR2 = LOW;
    }
  }
}


void broj_osoba ()
{
  if (count > 0) 
  {
    pinMode(OUT, INPUT);
    lcd.setCursor(0,1);
    lcd.print(count);
    digitalWrite(LIGHT, 1); // paljenje svjetla
  } else 
  {
    pinMode(OUT, OUTPUT);
    lcd.setCursor(0,1);
    lcd.print(0);
    digitalWrite(LIGHT, 0); // gašenje svjetla
  }
}

